*****************************************************************************
*																			*
*				Master-Dofile: It's not always the campaign					*
*																			*
*****************************************************************************

/* 
Replication Material for:
Maria Preißinger & Harald Schoen (2016): It's not always the campaign - 
Explaining inter-elction switching in Germany, 2009-2013. Electoral Studies.
*/


*-----------------------------------
* Open data set
*-------------------------------------

 cd ""
 clear
 clear matrix
 clear mata
 set maxvar 32767
 use wkp0913_originaldatensätze_letters.dta, clear
 
 /*
 This data set is a merged file which is based on 
 the original GLES campaign panel data sets for the 2009 and 2013
 election as published by GESIS (2009: version 4 of the data set;
 2013: version 2 of the data set). 
 
 Variables from 2009 carry the prefix "a".
 Variables from 2013 carry the prefix "b".
 
 Watch out: Missingcodes are different in 2009 and 2013. In 2013,
 we have negative values, e.g. respondent refusal is always coded as -99. 
 In 2009, we have different positive values, e.g. most of the time respondent
 refusal is coded as 99 but sometimes as 999 etc.
 
 "newid0913" identifies all respondents individually.  
 
 "wkp0913" indicates, whether a respondents participated only in 
 2009, onl yin 2013, or in both years
 4226 respondents only 2013
 3522 respondents only 2009
 1030 respondents in both years
 in total, the data set encompasses 8778 cases 
 */
 
*-----------------------------------------
* Execute project dofiles
*----------------------------------------
 
do "1 code dependent variable"
do "2 code involvement"
do "3 code attitudes"
do "4 descriptive tables"
do "5 regression tables" 

 
 

 
 
 